## ros-humble-pmb2-laser-sensors 4.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pmb2_laser_sensors)

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

if(BUILD_TESTING)
  ament_auto_find_test_dependencies()
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(INSTALL_TO_SHARE config launch)

=== debian/changelog ===
ros-humble-pmb2-laser-sensors (4.0.5-1jammy) jammy; urgency=high

  * Merge branch 'feat/laser-filters' into 'humble-devel'
    using laser filters in simulation
    See merge request robots/pmb2_navigation!70
  * added private dependencies
  * using laser filters in simulation
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 16 Jun 2023 00:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.3-1jammy) jammy; urgency=high

  * Merge branch 'fix/deps' into 'humble-devel'
    temporarily removed sick_tim dependency
    See merge request robots/pmb2_navigation!69
  * temporarily removed sick_tim dependency
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 14 Apr 2023 00:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.2-1jammy) jammy; urgency=high

  * Update package.xmversion
  * Merge branch 'laser_migration' into 'humble-devel'
    Migrate laser_sensors
    See merge request robots/pmb2_navigation!66
  * updated copyrigt
  * Updated copyright
  * Apply 1 suggestion(s) to 1 file(s)
  * using radians instead of degrees
  * replacing sick_scan2 with sick_tim
  * sick_tim laser migration
  * sick-561 to ros2
  * Contributors: Noel Jimenez, Noel Jimenez Garcia, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 05 Apr 2023 00:00:00 -0000

ros-humble-pmb2-laser-sensors (2.0.8-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-pmb2-laser-sensors (2.0.7-1jammy) jammy; urgency=high

  * Add laser_doctor
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 02 Jul 2020 00:00:00 -0000

ros-humble-pmb2-laser-sensors (2.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-humble-pmb2-laser-sensors (2.0.5-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 22 Nov 2019 00:00:00 -0000

ros-humble-pmb2-laser-sensors (2.0.4-1jammy) jammy; urgency=high

  * Merge branch 'new-config' into 'erbium-devel'
    updating filter configuration
    See merge request robots/pmb2_navigation!43
  * updating filter configuration
  * Contributors: Federico Nardi, Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 01 Oct 2019 00:00:00 -0000

ros-humble-pmb2-laser-sensors (2.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 23 Sep 2019 00:00:00 -0000

ros-humble-pmb2-laser-sensors (2.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 18 Sep 2019 00:00:00 -0000

ros-humble-pmb2-laser-sensors (2.0.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 19 Jul 2019 00:00:00 -0000

ros-humble-pmb2-laser-sensors (2.0.0-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Jun 2019 00:00:00 -0000

ros-humble-pmb2-laser-sensors (1.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 20 May 2019 00:00:00 -0000

ros-humble-pmb2-laser-sensors (1.0.5-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 May 2019 00:00:00 -0000

ros-humble-pmb2-laser-sensors (1.0.4-1jammy) jammy; urgency=high

  * Merge branch 'tf2-frames' into 'erbium-devel'
    removed leading slash in sensors frames
    See merge request robots/pmb2_navigation!37
  * removed leading slash in sensors frames
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 22 Mar 2019 00:00:00 -0000

ros-humble-pmb2-laser-sensors (1.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 25 Jan 2019 00:00:00 -0000

ros-humble-pmb2-laser-sensors (1.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 17 Jan 2019 00:00:00 -0000

ros-humble-pmb2-laser-sensors (1.0.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 15 Jan 2019 00:00:00 -0000

ros-humble-pmb2-laser-sensors (1.0.0-1jammy) jammy; urgency=high

  * Merge branch 'specifics-refactor' into 'erbium-devel'
    Specifics refactor
    See merge request robots/pmb2_navigation!30
  * Expand all laser configurations
  * rename laser launch files according to new standard
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-humble-pmb2-laser-sensors (0.13.17-1jammy) jammy; urgency=high

  * reduced laser fov to avoid noise
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-humble-pmb2-laser-sensors (0.13.16-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 21 Nov 2018 00:00:00 -0000

ros-humble-pmb2-laser-sensors (0.13.15-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sat, 20 Oct 2018 00:00:00 -0000

ros-humble-pmb2-laser-sensors (0.13.14-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 03 Oct 2018 00:00:00 -0000

ros-humble-pmb2-laser-sensors (0.13.13-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Sep 2018 00:00:00 -0000

ros-humble-pmb2-laser-sensors (0.13.12-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 26 Sep 2018 00:00:00 -0000

ros-humble-pmb2-laser-sensors (0.13.11-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 26 Sep 2018 00:00:00 -0000



=== debian/control ===
Source: ros-humble-pmb2-laser-sensors
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-pmb2-laser-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-laser-filters, ros-humble-ros-workspace
Description: Launch files and scripts needed to bring up the ROS nodes of a PMB2 robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-laser-sensors//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-pmb2-laser-sensors 4.1.1

=== debian/changelog ===
ros-humble-pmb2-laser-sensors (4.1.1-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 05 Aug 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.1.0-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 05 Aug 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.23-2bookworm) bookworm; urgency=high

  * Merge branch 'feat/aca/pipeline-substitution' into 'humble-devel'
    using variables laser pipeline
    See merge request robots/pmb2_navigation!91
  * using variables laser pipeline
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 11 Jul 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.22-2bookworm) bookworm; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.21-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 30 Jun 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.20-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.19-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Jun 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.18-2bookworm) bookworm; urgency=high

  * Merge branch 'abr/fix/laser-footprint' into 'humble-devel'
    Use circular footprint laser filter
    See merge request robots/pmb2_navigation!89
  * Update pmb2_laser_sensors/params/laser_pipeline.yaml, pmb2_laser_sensors/params/laser_pipeline_w_composition.yaml
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 02 Jun 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.17-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.16-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.15-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 28 Apr 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.14-2bookworm) bookworm; urgency=high

  * Merge branch 'feat/variables' into 'humble-devel'
    using variables for pipelines
    See merge request robots/pmb2_navigation!83
  * using variables in lifecycle manager
  * using new variables names
  * using variables
  * using variables for pipelines
  * Contributors: andreacapodacqua, josegarcia

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 22 Apr 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.13-2bookworm) bookworm; urgency=high

  * Merge branch 'feat/ros2-pipelines' into 'humble-devel'
    Feat/ros2 pipelines
    See merge request robots/pmb2_navigation!82
  * cosmetic and removed unused launch files laser
  * public sim launch change and renamed pipeline
  * fix dep
  * params laser pipeline and modified slam arg
  * modified params
  * fear navigation pipelines
  * navigation pipeline
  * Contributors: andreacapodacqua, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Apr 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.12-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Feb 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.11-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.10-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Feb 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.9-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 17 Dec 2023 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.8-2bookworm) bookworm; urgency=high

  * Add website tag
  * Rename laser module
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.7-2bookworm) bookworm; urgency=high

  * Specify laser model
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Nov 2023 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.6-2bookworm) bookworm; urgency=high

  * Merge branch 'add_module' into 'humble-devel'
    Adding module
    See merge request robots/pmb2_navigation!73
  * Adding module
  * Contributors: Jordan Palacios

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Sep 2023 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.5-2bookworm) bookworm; urgency=high

  * Merge branch 'feat/laser-filters' into 'humble-devel'
    using laser filters in simulation
    See merge request robots/pmb2_navigation!70
  * added private dependencies
  * using laser filters in simulation
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jun 2023 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.4-2bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 27 Apr 2023 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.3-2bookworm) bookworm; urgency=high

  * Merge branch 'fix/deps' into 'humble-devel'
    temporarily removed sick_tim dependency
    See merge request robots/pmb2_navigation!69
  * temporarily removed sick_tim dependency
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 13 Apr 2023 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.2-2bookworm) bookworm; urgency=high

  * Update package.xmversion
  * Merge branch 'laser_migration' into 'humble-devel'


## ros-humble-pmb2-laser-sensors 4.2.0

=== debian/changelog ===
ros-humble-pmb2-laser-sensors (4.2.0-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 02 Sep 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.1.1-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 05 Aug 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.1.0-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 05 Aug 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.23-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/aca/pipeline-substitution' into 'humble-devel'
    using variables laser pipeline
    See merge request robots/pmb2_navigation!91
  * using variables laser pipeline
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 11 Jul 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.22-1bookworm) bookworm; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.21-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 30 Jun 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.20-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.19-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Jun 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.18-1bookworm) bookworm; urgency=high

  * Merge branch 'abr/fix/laser-footprint' into 'humble-devel'
    Use circular footprint laser filter
    See merge request robots/pmb2_navigation!89
  * Update pmb2_laser_sensors/params/laser_pipeline.yaml, pmb2_laser_sensors/params/laser_pipeline_w_composition.yaml
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 02 Jun 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.17-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.16-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.15-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 28 Apr 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.14-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/variables' into 'humble-devel'
    using variables for pipelines
    See merge request robots/pmb2_navigation!83
  * using variables in lifecycle manager
  * using new variables names
  * using variables
  * using variables for pipelines
  * Contributors: andreacapodacqua, josegarcia

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 22 Apr 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.13-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/ros2-pipelines' into 'humble-devel'
    Feat/ros2 pipelines
    See merge request robots/pmb2_navigation!82
  * cosmetic and removed unused launch files laser
  * public sim launch change and renamed pipeline
  * fix dep
  * params laser pipeline and modified slam arg
  * modified params
  * fear navigation pipelines
  * navigation pipeline
  * Contributors: andreacapodacqua, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Apr 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.12-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Feb 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.11-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.10-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Feb 2024 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.9-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 17 Dec 2023 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.8-1bookworm) bookworm; urgency=high

  * Add website tag
  * Rename laser module
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.7-1bookworm) bookworm; urgency=high

  * Specify laser model
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Nov 2023 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.6-1bookworm) bookworm; urgency=high

  * Merge branch 'add_module' into 'humble-devel'
    Adding module
    See merge request robots/pmb2_navigation!73
  * Adding module
  * Contributors: Jordan Palacios

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Sep 2023 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.5-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/laser-filters' into 'humble-devel'
    using laser filters in simulation
    See merge request robots/pmb2_navigation!70
  * added private dependencies
  * using laser filters in simulation
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jun 2023 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.4-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 27 Apr 2023 16:00:00 -0000

ros-humble-pmb2-laser-sensors (4.0.3-1bookworm) bookworm; urgency=high

  * Merge branch 'fix/deps' into 'humble-devel'
    temporarily removed sick_tim dependency
    See merge request robots/pmb2_navigation!69
  * temporarily removed sick_tim dependency
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 13 Apr 2023 16:00:00 -0000


=== debian/control ===
Source: ros-humble-pmb2-laser-sensors
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: https://github.com/pal-robotics/pmb2_simulation
Standards-Version: 3.9.2

Package: ros-humble-pmb2-laser-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ros-workspace
Description: Launch files and scripts needed to bring up the ROS nodes of a PMB2 robot.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-laser-sensors//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-laser-sensors//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-pmb2-laser-sensors//opt/ros/humble/opt/pmb2_laser_sensors/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
